# VertexMode enum

Defines how a list of points is interpreted when drawing a set of triangles.

Used by Canvas.drawVertices.

## Constants

triangleFan → const VertexMode

  Draw the first point and each sliding window of two points as the vertices of a triangle.

  `const VertexMode(2)`
triangles → const VertexMode

  Draw each sequence of three points as the vertices of a triangle.

  `const VertexMode(0)`
triangleStrip → const VertexMode

  Draw each sliding window of three points as the vertices of a triangle.

  `const VertexMode(1)`
values → const List<VertexMode>

  A constant List of the values in this enum, in order of their declaration.

  `const List<VertexMode>`

## Properties

index → int

  The integer index of this enum.

  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited